Get document status by partner ext_id
curl --request GET \
--url https://api.imbawallet.com/partner/documents/{ext_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.imbawallet.com/partner/documents/{ext_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.imbawallet.com/partner/documents/{ext_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ext_id": "card-issue-20260710-003",
"type": "withdrawal",
"ref_id": "<string>",
"status": "<string>",
"response": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "insufficient_balance",
"message": "<string>"
}Documents
Get document status by partner ext_id
Order / reference lookup for an async create. Poll until terminal, or use webhooks. Secrets (PAN, epin, LPA) are on product GET, not here.
GET
/
partner
/
documents
/
{ext_id}
Get document status by partner ext_id
Authorizations
Access token from POST /auth/v1/partner/token
Path Parameters
Partner-side idempotency key (unique per partner)
Required string length:
1 - 128Example:
"card-issue-20260710-003"
Response
Document status
Partner-side idempotency key (unique per partner)
Required string length:
1 - 128Example:
"card-issue-20260710-003"
Available options:
withdrawal, card_issue, card_topup, card_freeze, esim_purchase, esim_topup, gift_purchase Internal operation / order reference when present
processing → accepted / terminal (done | failed | card_issued | …). Stuck card_issue may terminate as failed with response.error=issue_timeout.
Operation details (card_id, business status, error, …)